# Element properties

#### **9 components are currently available:**

* [Text](/rest-api/generation/element-properties/text.md)
* [Button](/rest-api/generation/element-properties/button.md)
* [Image](/rest-api/generation/element-properties/image.md)
* [Logo](/rest-api/generation/element-properties/logo.md)
* [Shape](/rest-api/generation/element-properties/shape.md)
* [Rating](/rest-api/generation/element-properties/rating.md)
* [Illustration](/rest-api/generation/element-properties/illustration.md)
* [QR Code](/rest-api/generation/element-properties/qr-code.md)
* [Video](/rest-api/generation/element-properties/video.md)
* [Audio](/rest-api/generation/element-properties/audio.md)

**Additionally, the background of every format can be customised via the `root` element.**

{% content-ref url="/pages/EEHnfOWxoSTaxz6N7LhN" %}
[Root](/rest-api/generation/element-properties/root.md)
{% endcontent-ref %}

## Common Properties

Some properties are available for all components:

<table><thead><tr><th width="216">Property</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>hidden</code></strong></td><td><p>Boolean: <code>true</code>, <code>false</code>. </p><p><strong>Hide the current element if true.</strong></p></td></tr></tbody></table>

### Shadow <a href="#shadow" id="shadow"></a>

Shadows can be added to all components.

| Properties            | Description                                               |
| --------------------- | --------------------------------------------------------- |
| **shadow\_color**     | String: **6-8 digits hexa shadow color**                  |
| **shadow\_blur**      | Number: **Blur in pixels.** Must be >= 0                  |
| **shadow\_offset\_x** | Number: **Horizontal offset in pixels** (can be negative) |
| **shadow\_offset\_y** | Number: **Vertical offset in pixels** (can be negative)   |

*Component specificities*:

* **Text**: If the background color is enabled, shadow is activated to the background
* **Button**: Shadows can only be configured on the background from now.

#### **Example:**

| <p><code>shadow\_color: "#00000080"</code><br><code>shadow\_blur: 3</code><br><code>shadow\_offset\_x: 4</code><br><code>shadow\_offset\_y: 3</code></p> | ![](/files/MAgefADRytEO2XcYiput) |
| -------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.abyssale.com/rest-api/generation/element-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
